OpenStack volumes API v2 needs :name
Status: Closed
Priority: Normal
Assignee: Daniel Lobato Garcia
Category: Compute resources - OpenStack
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3117
Description

Our code in https://github.com/theforeman/foreman/blob/develop/app/models/compute_resources/foreman/model/openstack.rb#L65
uses :display_name as the name attribute to create Openstack volumes.

Notice volume v2 API requires :name, while v1 just needs :display_name
https://github.com/fog/fog/blob/master/lib/fog/openstack/models/volume_v1/volume.rb
https://github.com/fog/fog/blob/master/lib/fog/openstack/models/volume_v2/volume.rb#L17

So we cannot create Volumes on Openstack when they use the v2 api. Fix is simple, just add :name in that hash and it works.

Associated revisions

Revision f5¢7a90e - 02/12/2016 10:11 AM - Daniel Lobato Garcia
Fixes #13356 - OpenStack volumes API v2 needs :name

Our code in uses :display_name as the name attribute to create
Openstack volumes.

Notice volume v2 API requires :name, while v1 just needs :display_name
https://github.com/fog/fog/blob/master/lib/fog/openstack/models/volume_v1/volume.rb
https://github.com/fog/fog/blob/master/lib/fog/openstack/models/volume_v2/volume.rb#L.17

So we cannot create Volumes on Openstack when they use the v2 API.
Fix is simple, just add :name in that hash and it works.

History

#1 - 01/25/2016 07:45 AM - Daniel Lobato Garcia

- Subject changed from OpenStack boot_from_volume needs :name to OpenStack volumes API v2 needs :name

#2 - 01/25/2016 07:49 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/3117 added

#3 - 01/28/2016 03:41 AM - Daniel Lobato Garcia

- translation missing: en.field_release set to 71

Set this to 1.11 as without this fix, Openstack provisioning with volumes is 100% broken

#4 - 02/12/2016 11:01 AM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset f5c7a90e5626128be0a292131fa83ef13cc3f227.
